import Util from './util';

const handlers = {
  template: undefined,
};

const controls = {
  'data-if': undefined,
};

export default function ({ types }) {
  return {
    visitor: {
      JSXElement(nodePath) {
        const nodeName = nodePath.node.openingElement.name.name;
        const handler = handlers[nodeName.toLowerCase()];

        if (handler) {
          nodePath.replaceWith(handler(types, nodePath));
        }
      },
    },
  };
}